package mccity.heroes.skills.enderbomb;

import com.herocraftonline.heroes.characters.Hero;

public class EnderBomb {

    private final Hero hero;
    private final float radius;
    private final boolean fire;
    private final double entityDamageMultiplier;
    private final boolean preventBlockDamage;

    public EnderBomb(Hero hero, float radius, boolean fire, boolean preventBlockDamage, double entityDamageMultiplier) {
        this.radius = radius;
        this.hero = hero;
        this.fire = fire;
        this.preventBlockDamage = preventBlockDamage;
        this.entityDamageMultiplier = entityDamageMultiplier;
    }

    public Hero getHero() {
        return hero;
    }

    public float getRadius() {
        return radius;
    }

    public boolean isFire() {
        return fire;
    }

    public double getEntityDamageMultiplier() {
        return entityDamageMultiplier;
    }

    public boolean isPreventBlockDamage() {
        return preventBlockDamage;
    }
}
